Subject: Re: Updated: OpenSSH-2.9p1-2
From: Ralf Fassel <[email-masked]>
To: cygwin <[email-masked]>
Date: Thu, 7 Jun 2001 14:27:27 +0200

* Corinna Vinschen
| I've updated the version of OpenSSH in cygwin/latest to 2.9p1-2.

This version does work for me only with cygwin1.dll from the 1.3.1-1
release, not the latest 1.3.2-1.  With 1.3.2-1 I get an immediate
session close after the login banner has been displayed, like this:

    $ ssh -v localhost
    OpenSSH_2.9p1, SSH protocols 1.5/2.0, OpenSSL 0x0090600f
    ...
    debug1: ssh-userauth2 successful: method password
    debug1: fd 5 setting O_NONBLOCK
    debug1: fd 6 setting O_NONBLOCK
    debug1: channel 0: new [client-session]
    debug1: channel_new: 0
    debug1: send channel open 0
    debug1: Entering interactive session.
    debug1: client_init id 0 arg 0
    debug1: channel request 0: shell
    debug1: channel 0: open confirm rwindow 0 rmax 16384
!   Fanfare!!!
!   You are successfully logged in to this server!!!
!   Connection to localhost closed by remote host.
!   Connection to localhost closed.
    debug1: Transferred: stdin 0, stdout 0, stderr 81 bytes in 0.1 seconds
    debug1: Bytes per second: stdin 0.0, stdout 0.0, stderr 736.4
    debug1: Exit status -1

If I reinstall cygwin-1.3.1, everything works as expected (BTW, thanks
for the new setup tool!)

| This version drops the restriction to change the user context on
| NT/W2K only with password authentication. This allows installing
| sshd under LocalSystem account and switching to various user
| accounts using RSA/DSA authentication.

The openssh-README also seems to need an update in this respect.

R'

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple